%define sversion 2-8-6
%define tversion 2.8.6

Summary: White pages query tool
Name: wpwhois
Version:  2.8.6rel.5
Release: 1.ru
Group: System Environment/Base
License: GPL
Patch: wpwhois.patch
Source: lynx%{tversion}.tar.gz
BuildRoot: var/tmp/%{name}-root
BuildRequires: openssl-devel slang-devel
Requires: openssl  slang
BuildConflicts: gd-devel

%description
Wpwhois lets you look up Rutgers faculty and students from the command
line.

%prep
%setup -q -c -n lynx%{tversion}
cd lynx%{sversion}
%patch -p1

%build
cd lynx%{sversion}
./configure --prefix=/usr/local --with-ssl=/usr/local/ssl --with-screen=slang --enable-exec-links --enable-exec-scripts --enable-change-exec --enable-externs

make

%install
cd lynx%{sversion}
make install-full DESTDIR=%{buildroot}

install -m 0755 lynx %{buildroot}/usr/local/bin/wpwhois
install -m 0644 wpwhois.1 %{buildroot}/usr/local/man/man1/wpwhois.1

#remove the lynx stuff we don't need 
rm %{buildroot}/usr/local/bin/lynx
rm -rf %{buildroot}/usr/local/share
rm -rf %{buildroot}/usr/local/man/man1/lynx.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/local/bin/wpwhois
/usr/local/man/man1/wpwhois.1
/usr/local/etc/lynx.cfg

%changelog
* Thu Aug 7 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 2.8.6rel.5
- ported to linux from solaris
